package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BusFjxgmd;
import com.railway.business.baseinfo.domain.vo.BusFjxgmdQueryVo;

import java.util.List;

/**
 * <p>
 * 附加悬挂锚段 服务类
 * </p>
 *
 * @author railway
 * @since 2021-10-11
 */
public interface IBusFjxgmdService {

    /**
     * 新增
     */
    int create(BusFjxgmd busFjxgmd);

    /**
     * 删除
     */
    int delete(String[] ids);

    /**
     * 更新
     */
    int update(BusFjxgmd busFjxgmd);

    /**
     * 获取单个
     */
    BusFjxgmd getInfo(String id);

    /**
     * 查询列表
     */
    List<BusFjxgmd> getList(BusFjxgmd busFjxgmd);

    /**
     * 通过支柱信息获取对锚列表
     * @param busFjxgmdQueryVo
     * @return
     */
    List<BusFjxgmd> getListByZz(BusFjxgmdQueryVo busFjxgmdQueryVo);
}
